Skip to content

GlCode⁠

Perform various operations for Symitar parameters.

Operations⁠

getGlCodeSelectFields⁠

POST

Execute the persistent ParameterService getGlCodeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlCodePrimaryGlCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getGlCodeSelectFields
POST /nexum/627/persistent/parameter/getGlCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "GlCodePrimaryGlCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllGlCodeFields": true,
    "GlCodeFields": {
      "BRXlate": true,
      "Description": true,
      "PrimaryGlCode": true,
      "XlateCount": true,
      "XlateDetail": true,
      "XlateGroup": true,
      "XlateType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlCodePagedListSelectFields⁠

POST

Execute the persistent ParameterService getGlCodePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getGlCodePagedListSelectFields
POST /nexum/627/persistent/parameter/getGlCodePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlCodeFields": true,
    "GlCodeFields": {
      "BRXlate": true,
      "Description": true,
      "PrimaryGlCode": true,
      "XlateCount": true,
      "XlateDetail": true,
      "XlateGroup": true,
      "XlateType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlCodePagedSelectFields⁠

POST

Execute the persistent ParameterService searchGlCodePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchGlCodePagedSelectFields
POST /nexum/627/persistent/parameter/searchGlCodePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlCodeFields": true,
    "GlCodeFields": {
      "BRXlate": true,
      "Description": true,
      "PrimaryGlCode": true,
      "XlateCount": true,
      "XlateDetail": true,
      "XlateGroup": true,
      "XlateType": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateGlCodeByID⁠

POST

Execute the persistent ParameterService updateGlCodeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlCodePrimaryGlCodeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateGlCodeByID
POST /nexum/627/persistent/parameter/updateGlCodeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "GlCodePrimaryGlCode": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "GlCodeFields": {
    "BRXlate": 0,
    "Description": "string",
    "PrimaryGlCode": 0,
    "XlateCount": 0,
    "XlateDetail": 0,
    "XlateGroup": 0,
    "XlateType": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}